	eval(AkelPad.ReadFile(AkelPad.GetAkelDir() + "\\AkelFiles\\Plugs\\Scripts\\" + "Neo!Common.JS"));	
//----------------------------------------------------------------------------




//	1 - 1 -2
//	1  -1              1.1 -1.                 -.1 .1                 -,1    1.1      ....

	sText = " " + GetSelectedOrAll() + " ";

	sText = sText.replace(/[^1234567890\-,.]/ig, " ");

	sText = sText.replace(/,/ig, ".");

	sText = sText.replace(/--/ig, "");
	sText = sText.replace(/- /ig, "");

	sText = sText.replace(/\.\./ig, "");
	sText = sText.replace(/ \. /ig, "");

	sText = sText.replace(/-\. /ig, "");
	sText = sText.replace(/-\./ig, "-0.");

	sText = sText.replace(/ - /ig, "");
	sText = sText.replace(/ \. /ig, "");


	sText = sText.replace(/  /ig, " ");

	sText = " " + sText + " ";


	aNumbers=sText.split(" ")

	iSum = 0;
	iCount = 0;
	for (iii=1;   iii < aNumbers.length;   ++iii)
	{
		if (aNumbers[iii] != "")
		{
			++iCount
			iSum = iSum + aNumbers[iii] * 1;
		}
	}
	AkelPad.MessageBox(AkelPad.GetMainWnd(), "Количество чисел: " + iCount + "\n" + "Сумма: " + iSum, "заголовок", 64 /*MB_ICONINFORMATION*/);
